Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class Link

    java.lang.Object
      oracle.ifs.beans.LibraryObject
          oracle.ifs.beans.TieLibraryObject
              oracle.ifs.beans.PublicObject
                  oracle.ifs.beans.TiePublicObject
                      oracle.ifs.beans.Link

All Implemented Interfaces:
  IfsEventHandler, LibraryObjectInterface, PublicObjectInterface, Traceable

Direct Known Subclasses:
  TieLink

    public class Link

extends TiePublicObject

A Link is used to provide ad-hoc navigation to another PublicObject.

(Published)

Field Summary
`static java.lang.String` | `ASSOCIATEDPUBLICOBJECT_ATTRIBUTE` The PublicObject that is referenced by this Link.
`static java.lang.String` | `CLASS_NAME` This class name for this class.

Fields inherited from class oracle.ifs.beans.PublicObject
`ACL_ATTRIBUTE, CREATEDATE_ATTRIBUTE, CREATOR_ATTRIBUTE, DELETOR_ATTRIBUTE, DESCRIPTION_ATTRIBUTE, EXPIRATIONDATE_ATTRIBUTE, FAMILY_ATTRIBUTE, FLAG_CATEGORY_EXISTS, FLAG_CONFIGURATIONCATEGORY_EXISTS, FLAG_MARKED, FLAG_NOINFERIOR, FLAG_NOSELECT, FLAG_NTFS_ARCHIVE, FLAG_NTFS_HIDDEN, FLAG_NTFS_READONLY, FLAG_NTFS_SYSTEM, FLAG_UNMARKED, FLAGS_ATTRIBUTE, LASTMODIFIER_ATTRIBUTE, LASTMODIFYDATE_ATTRIBUTE, LOCKENTRIES_ATTRIBUTE, LOCKOBJECT_ATTRIBUTE, NAME_ATTRIBUTE, OWNER_ATTRIBUTE, POLICYBUNDLE_ATTRIBUTE, POLICYLISTS_ATTRIBUTE, PRIMARYPARENTFOLDER_ATTRIBUTE, PROPERTYBUNDLE_ATTRIBUTE, RESOLVEDPUBLICOBJECT_ATTRIBUTE, SECURINGPUBLICOBJECT_ATTRIBUTE`

Fields inherited from class oracle.ifs.beans.LibraryObject
`DOMAIN_UNIQUENAME_DEFAULT_DELIMITER, m_ClassId, m_Id, m_Session`

Constructor Summary
`protected` | `Link(LibrarySession session, java.lang.Long id, java.lang.Long classId, S_LibraryObjectData data)` Constructs a Link object - standard variant.

Method Summary
`protected void` | `auditPublicObjectLocked(int lockType)` Audits a PublicObject being locked.
`protected void` | `auditPublicObjectUnlocked(int lockType)` Audits a PublicObject being unlocked.
`protected void` | `auditUpdated(LibraryObjectDefinition lodef)` Creates audit events for the update operation.
`PublicObjectCapabilities` | `capabilities()` Returns the PublicObjectCapabilities delegate which tracks the capabilities of this object.
`protected static Link` | `constructLink(LibrarySession sess, S_LibraryObjectData data)` Returns a Link object from a Link data object.
`protected static Link[]` | `constructLinkArray(LibrarySession sess, java.lang.Long[] ids)` Construct a Link array from an array of object IDs.
`protected static java.util.Vector` | `constructLinkVector(LibrarySession sess, java.util.Vector vector)` Returns Link Vector from a Vector of S_LOData.
`PublicObject` | `getAssociatedPublicObject()` Gets the PublicObject referenced by this Link.
`PublicObject` | `getResolvedLinkTarget()` Returns the target of this EcmLink, which may be null.
`boolean` | `isBroken()` Returns true if this Link is broken.
`protected boolean` | `isValidEventType(AuditEvent event)` Checks to see if the event type in the process of being posted on the target LibraryObject is consistent with the target.
`protected void` | `postCreate(LibraryObjectDefinition lodef)` Extensibility point to perform actions after the creation of a PublicObject.
`protected void` | `preFree(LibraryObjectDefinition lodef)` Extensibility point to perform actions prior to the permanent deletion ("free") of a object.
`protected void` | `reportLinkCreated()` Audits a Link create operation.
`protected void` | `reportLinkFreed()` Audits a Link free operation.
`void` | `setAssociatedPublicObject(PublicObject po)` Sets the PublicObject referenced by this Link.
`protected static Link[]` | `vectorToLinkArray(java.util.Vector vector)` Returns an array of Link objects from a vector of Link objects.

Methods inherited from class oracle.ifs.beans.PublicObject
`addAccess, addCategory, addFlags, addRelationship, canAcquireManualLock, canReleaseDavLock, canReleaseLock, canReleaseManualLock, checkAuditViewCapability, checkCapabilities, checkCapability, checkEffectiveAccess, checkEffectiveAccess, checkLockAccess, checkVersioned, clearFlags, constructPublicObject, constructPublicObjectArray, constructPublicObjectVector, copy, coreAutoFolderingEnabled, createCategories, createDedicatedPolicyPropertyBundle, delete, deriveEffectiveAccessLevel, free, getAcl, getAllFolderPaths, getAllFolderPaths, getAllFolderPaths, getAnyFolderPath, getAnyFolderPath, getAnyFolderPath, getCapabilities, getCategories, getCategories, getCategories, getCategories, getCategories, getCategory, getConsumedStorage, getCreateDate, getCreator, getDefaultAccessLevel, getDeletor, getDescription, getEffectiveAccessLevel, getEffectiveAccessLevel, getExpirationDate, getFamily, getFirstVersion, getFlags, getFolderReferences, getFolderReferences, getFolderReferencesSortSpecification, getLastModifier, getLastModifyDate, getLastVersion, getLeftwardRelationshipObjects, getLeftwardRelationshipObjects, getLeftwardRelationships, getLeftwardRelationships, getLeftwardRelationshipsCount, getLeftwardRelationshipsCount, getLinks, getLockEntries, getLockEntries, getLockObject, getLockRestrictions, getLockTypeAuditProperties, getNextVersion, getOwner, getPolicyBundle, getPolicyLists, getPreviousVersion, getPrimaryFolderPath, getPrimaryParentFolder, getPrimaryParentFolder, getReservationComment, getReservationDate, getReservor, getResolvedPublicObject, getRestrictingLockEntries, getRightwardRelationshipObjects, getRightwardRelationshipObjects, getRightwardRelationships, getRightwardRelationships, getSecuringPublicObject, getSingletonVersionDescription, getVersionNumber, getVersions, getVersionSeries, getWorkingCopy, grantAccess, handleCopy, handleCreate, handleUnlockAll, hasCategories, hasConfigurationCategories, hasNameAttribute, isDeleted, isLatestVersion, isLocked, isLockingSupported, isOwner, isReserved, isReservedByCurrentUser, isVersionable, isVersioned, isWorkingCopy, listLeftwardRelationships, listRightwardRelationships, lock, lock, lock, lock, newVersion, postCopy, postUpdate, preCopy, preCreate, preUpdate, putPolicy, reassociateLinks, removeAllPolicies, removePolicy, removePolicy, removeRelationship, reserveNext, resetFolderReferences, resolveFolderReferenceSortSpecification, revokeAccess, revokeAllAccess, setAcl, setDescription, setExpirationDate, setFlags, setFolderReferencesSortSpecification, setLockEntries, setLockEntrySecurity, setOwner, setOwnerByName, setPolicyBundle, setPolicyLists, setSecuringPublicObject, toPublicObjectArray, undelete, unlock, unlock, unlockAll, unReserve, updateFlags, updateLock, vectorPublicObjectElement, vectorToPublicObjectArray, verifyDeleteCapability, verifyLockCapability, verifyUnlockCapability, verifyVersionSeries`

Methods inherited from class oracle.ifs.beans.LibraryObject
`applyProperties, auditCreated, checkRequiredAttributeSet, clearCopyContext, clearFreeContext, clearUpdateContext, constructIdArray, constructIdArray, constructLibraryObject, constructLibraryObjectVector, createDedicatedPropertyBundle, deriveDomainUniqueName, dispose, equals, free, get, getAttribute, getAttributeByUpperCaseName, getAttributes, getAttributesByUpperCaseNames, getAuditDomainContext, getAuditEventFolderContext, getClassId, getClassname, getClassName, getClassObject, getCommonName, getCopyContext, getCreateContext, getData, getDefinition, getEffectivePolicyListElements, getEventualAttributeByUpperCaseName, getFreeContext, getId, getLabel, getName, getObjectReferenceAttribute, getOperationActionSpecificationContext, getPropertyBundle, getPropertyValue, getPublicObjectAttribute, getResourceString, getResourceString, getSchemaObjectAttribute, getSession, getSessionInterface, getSharedStateFactory, getStringIdentifier, getSystemObjectAttribute, getTraceLogger, getUpdateContext, handleAdminModeChange, handleEvent, handleFree, handleUpdate, hashCode, invokeOperation, invokeOperation, invokeServerMethod, isConnected, isCoreEventPostingEnabled, isInstanceOf, isTraced, lockRows, lookupInstanceLabel, postEvent, postEvent, postFree, prePostAuditEvent, putProperty, putProperty, removeAllProperties, removeProperty, renderAsRandomAccessContent, renderAsReader, renderAsStream, setAttribute, setAttribute, setAttributes, setAttributes, setCopyContext, setFreeContext, setId, setName, setPropertyBundle, setPropertyValue, setUpdateContext, toString, trace, trustHandleCreate, trustHandleCreateAsAdmin, trustHandleFree, trustHandleFreeAsAdmin, trustHandleUpdate, trustHandleUpdateAsAdmin, update, updateAndExposeDefinition, validatePropertyValues, vectorLibraryObjectElement, vectorToLibraryObjectArray, verifyAdministrationMode, verifyConnected, verifySystemUserAccess, verifyTargetObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getAttributeByUpperCaseName, getClassId, getId, getSessionInterface`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Field Detail

### CLASS_NAME

    public static final java.lang.String CLASS_NAME

  Description copied from class: `Link`
  This class name for this class. Useful for methods that take a class name argument.

  See Also:
    Constant Field Values
  (Published)

### ASSOCIATEDPUBLICOBJECT_ATTRIBUTE

    public static final java.lang.String ASSOCIATEDPUBLICOBJECT_ATTRIBUTE

  Description copied from class: `Link`
  The PublicObject that is referenced by this Link.

  See Also:
    Constant Field Values
  (Published)

Constructor Detail

### Link

    protected Link(LibrarySession session,
                   java.lang.Long id,
                   java.lang.Long classId,
                   S_LibraryObjectData data)
            throws IfsException

  Constructs a Link object - standard variant.

  Parameters:
    `session` - current LibrarySession
    `id` - object id
    `classId` - class id
    `data` - data components
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Method Detail

### capabilities

    public PublicObjectCapabilities capabilities()

  Description copied from class: `Link`
  Returns the PublicObjectCapabilities delegate which tracks the capabilities of this object.

  Overrides:
    `capabilities` in class `PublicObject`
  Returns:
    an instance of TieLinkCapabilities

### isValidEventType

    protected boolean isValidEventType(AuditEvent event)
                                throws IfsException

  Description copied from class: `Link`
  Checks to see if the event type in the process of being posted on the target LibraryObject is consistent with the target.

  Overrides:
    `isValidEventType` in class `LibraryObject`
  Parameters:
    `event` - the event being posted on this object
  Returns:
    true if the type is consistent; false otherwise
  Throws:
    `IfsException` - if the operation fails

### auditPublicObjectLocked

    protected void auditPublicObjectLocked(int lockType)
                                    throws IfsException

  Description copied from class: `PublicObject`
  Audits a PublicObject being locked.

  Overrides:
    `auditPublicObjectLocked` in class `PublicObject`
  Parameters:
    `lockType` - the lock type
  Throws:
    `IfsException` - if the operation fails

### auditPublicObjectUnlocked

    protected void auditPublicObjectUnlocked(int lockType)
                                      throws IfsException

  Description copied from class: `PublicObject`
  Audits a PublicObject being unlocked.

  Overrides:
    `auditPublicObjectUnlocked` in class `PublicObject`
  Parameters:
    `lockType` - the lock type
  Throws:
    `IfsException` - if the operation fails

### auditUpdated

    protected void auditUpdated(LibraryObjectDefinition lodef)
                         throws IfsException

  Description copied from class: `LibraryObject`
  Creates audit events for the update operation.

  Overrides:
    `auditUpdated` in class `LibraryObject`
  Parameters:
    `lodef` - The update definition
  Throws:
    `IfsException` - if the operation fails.

### reportLinkCreated

    protected void reportLinkCreated()
                              throws IfsException

  Description copied from class: `Link`
  Audits a Link create operation.

  Throws:
    `IfsException` - if the operation fails

### reportLinkFreed

    protected void reportLinkFreed()
                            throws IfsException

  Description copied from class: `Link`
  Audits a Link free operation.

  Throws:
    `IfsException` - if the operation fails

### postCreate

    protected void postCreate(LibraryObjectDefinition lodef)
                       throws IfsException

  Description copied from class: `PublicObject`
  Extensibility point to perform actions after the creation of a PublicObject.

  This assumes that a transaction context has already been established.

  Overrides:
    `postCreate` in class `PublicObject`
  Parameters:
    `lodef` - object definition that was used to create the object
  Throws:
    `IfsException` - if the operation fails

### preFree

    protected void preFree(LibraryObjectDefinition lodef)
                    throws IfsException

  Description copied from class: `PublicObject`
  Extensibility point to perform actions prior to the permanent deletion ("free") of a object.

  Override to free all existing categories, in such a way that the PO doesn't get updated for each category free.

  Overrides:
    `preFree` in class `PublicObject`
  Parameters:
    `lodef` - object definition used to hold options related to the free operation
  Throws:
    `IfsException` - if operation fails.

### getAssociatedPublicObject

    public PublicObject getAssociatedPublicObject()
                                           throws IfsException

  Description copied from class: `Link`
  Gets the PublicObject referenced by this Link.

  Returns:
    the PublicObject
  Throws:
    `IfsException` - if operation fails
  (Published)

### setAssociatedPublicObject

    public void setAssociatedPublicObject(PublicObject po)
                                   throws IfsException

  Description copied from class: `Link`
  Sets the PublicObject referenced by this Link.

  Parameters:
    `po` - the PublicObject
  Throws:
    `IfsException` - if operation fails
  (Published)

### isBroken

    public boolean isBroken()
                     throws IfsException

  Description copied from class: `Link`
  Returns true if this Link is broken. A broken Link is one whose associated object has been freed.

  Returns:
    true if this Link is broken; false otherwise.
  Throws:
    `IfsException` - if the operation fails.
  (Published)

### getResolvedLinkTarget

    public PublicObject getResolvedLinkTarget()
                                       throws IfsException

  Description copied from class: `Link`
  Returns the target of this EcmLink, which may be null.

  Returns:
    the target of this EcmLink, or null if this Link is broken, or if this Link's target is inaccessbile.
  Throws:
    `IfsException` - if the operation fails.
  (Published)

### constructLinkVector

    protected static java.util.Vector constructLinkVector(LibrarySession sess,
                                                          java.util.Vector vector)
                                                   throws IfsException

  Description copied from class: `Link`
  Returns Link Vector from a Vector of S_LOData.

  Parameters:
    `sess` - current LibrarySession
    `vector` - Vector of S_LOData
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### constructLink

    protected static Link constructLink(LibrarySession sess,
                                        S_LibraryObjectData data)
                                 throws IfsException

  Description copied from class: `Link`
  Returns a Link object from a Link data object.

  Parameters:
    `sess` - current LibrarySession
    `data` - the object containing Link data
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### vectorToLinkArray

    protected static Link[] vectorToLinkArray(java.util.Vector vector)

  Description copied from class: `Link`
  Returns an array of Link objects from a vector of Link objects.

  Parameters:
    `vector` - Vector of Link objects
  Returns:
    array of Link objects
  (Unpublished)

### constructLinkArray

    protected static Link[] constructLinkArray(LibrarySession sess,
                                               java.lang.Long[] ids)
                                        throws IfsException

  Description copied from class: `Link`
  Construct a Link array from an array of object IDs. This will throw an exception if any of the IDs cannot be converted into a DirectoryGroup Object.

  Parameters:
    `sess` - the requesting session
    `ids` - the array of object IDs
  Returns:
    the array of Link objects
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD